const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.phaseo.app/v1/videos/{video_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.phaseo.app/v1/videos/{video_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.phaseo.app/v1/videos/{video_id} \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.phaseo.app/v1/videos/{video_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.phaseo.app/v1/videos/{video_id}")
.header("Authorization", "Bearer <token>")
.asString();
{
"id": "<string>",
"polling_url": "<string>",
"websocket_url": "<string>",
"model": "<string>",
"request_id": "<string>",
"session_id": "<string>",
"status": "queued",
"lifecycle_status": "pending",
"cancel_url": "<string>",
"output_access": "bytes",
"generation_id": "<string>",
"native_video_id": "<string>",
"created_at": 123,
"started_at": 123,
"completed_at": 123,
"object": "video",
"poll_after_seconds": 20,
"provider": "<string>",
"seconds": 123,
"size": "<string>",
"audio": true,
"content_url": "<string>",
"download_url": "<string>",
"expires_at": 123,
"progress": 123,
"progress_source": "<string>",
"asset": {
"id": "<string>",
"mime_type": "<string>",
"bytes": 123,
"sha256": "<string>",
"width": 123,
"height": 123,
"duration_seconds": 123
},
"outputs": [
{
"index": 123,
"mime_type": "<string>",
"bytes_available": true,
"content_url": "<string>",
"download_url": "<string>",
"expires_at": 123
}
],
"billing": {
"currency": "<string>",
"estimated_provider_cost": "<string>",
"estimated_user_cost": "<string>",
"settled_provider_cost": "<string>",
"settled_user_cost": "<string>",
"state": "pending",
"billable": true,
"total_nanos": 123,
"estimated_nanos": 123,
"reserved_nanos": 123,
"reservation_id": "<string>",
"reservation_status": "<string>",
"charge_reason": "<string>",
"charged": true,
"billed_at": "<string>"
},
"webhook": {
"url": "<string>",
"events": [
"<string>"
],
"has_secret": true,
"delivery": {
"total_attempts": 123,
"delivered_events": 123,
"delivered_event_types": [
"video.completed"
],
"pending_retries": 123,
"next_retry_at": "<string>",
"last_attempt_at": "<string>",
"last_attempt_status": "delivered",
"last_response_status": 123,
"last_delivered_at": "<string>",
"last_failure_at": "<string>",
"last_error_message": "<string>"
},
"attempts": [
{
"id": "<string>",
"delivery_key": "video.completed",
"event_type": "video.completed",
"status": "delivered",
"attempt_number": 123,
"max_attempts": 123,
"tried_at": "<string>",
"delivered_at": "<string>",
"next_retry_at": "<string>",
"response_status": 123,
"error_message": "<string>",
"response_body_preview": "<string>"
}
]
},
"next_webhook_retry_at": "<string>",
"last_webhook_progress": 123,
"last_webhook_progress_at": "<string>",
"last_webhook_dispatched_at": "<string>",
"usage": {
"cost": 123,
"is_byok": true
},
"error": null
}Videostatus abrufen
Ruft den Status einer Videoerstellungsanfrage ab. Alle 20 Sekunden abfragen, sofern keine Webhooks verwendet werden.
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.phaseo.app/v1/videos/{video_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.phaseo.app/v1/videos/{video_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)Autorisierungen
Authentifizierung mit Bearer-Token
Pfadparameter
ID der Videoerstellungsanfrage.
Antwort
Videostatusantwort
WebSocket-URL zum Abonnieren normalisierter Lebenszyklusaktualisierungen asynchroner Aufträge.
queued, processing, completed, failed, cancelled, expired Normalisierter asynchroner Lebenszyklusstatus für Polling-, WebSocket- und Webhook-Empfänger.
pending, running, completed, failed, cancelled, expired Für Kompatibilität reserviert; derzeit immer null.
bytes, signed_url, both Anbietereigene Video-/Auftrags-ID, wenn sie von der Gateway-ID abweicht.
"video"
20
Vorhanden, wenn output_access bytes einschließt (authentifizierter Endpunkt).
Signierte Erstanbieter-URL zum direkten Download bei Status completed.
Unix-Zeitstempel (Sekunden), zu dem die signierte download_url abläuft.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Bereinigte asynchrone Webhook-Konfiguration und Zustellstatus. Geheimnisse werden nie zurückgegeben; has_secret zeigt an, ob signierte Zustellungen aktiviert sind. Signierte Zustellungen enthalten die Header x-phaseo-signature, x-phaseo-timestamp, x-phaseo-event-id, x-phaseo-event-type, x-phaseo-delivery-key, x-phaseo-attempt und x-phaseo-max-attempts.
Show child attributes
Show child attributes
ISO-Zeitstempel des nächsten geplanten Benutzer-Webhook-Wiederholungsversuchs, sofern eingereiht.
Letzte an Webhook-Empfänger gesendete grobe Fortschrittsstufe.
ISO-Zeitstempel des Versands der letzten Webhook-Fortschrittsstufe.
ISO-Zeitstempel des letzten Webhook-Versandversuchs.
Show child attributes
Show child attributes
War diese Seite hilfreich?